View Issue Details

IDProjectCategoryView StatusLast Update
0000043After The Collapse[All Projects] Artificial Intelligencepublic2018-09-21 08:56
ReporterEsKaAssigned ToEsKa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformPC OSWindows 10OS VersionLatest (EsKa)
Product Version 
Target Version0.4 - Early AccessFixed in Version0.4 - Early Access 
Summary0000043: Build job generated multiple times
DescriptionSeems to be after loading a save. same build job is added multiple times to the job list
(might be a canceled gone wrong, or spawn done twice?)
TagsNo tags attached.

Activities

EsKa

2018-09-13 06:24

administrator   ~0000028

fixed? in Dummy:

if ((e.Status == JobResult.Success && !DeleteMe) || (e.Status == JobResult.Failure && !Scene.PublicJobs.Contains(sender as SRLJob)))
{
    storedjob = null;
}

The failure case is triggered and storejob is set to null triggering dummy to send order again, but the job is also added back by cancelpublicjob. Removing test for failure works but it was supposedly there for a reason (?). Further testing required

EsKa

2018-09-13 22:11

administrator   ~0000029

i think it's fine, i'll have to reopen if jobs disappear, but don't seem so.

EsKa

2018-09-14 00:15

administrator   ~0000030

fixed for good: set the IsPublic tag to false before removal and added check to the AI layer so it doesn't add it back to pubjobs when IsPublic == false.

EsKa

2018-09-21 08:56

administrator   ~0000044

verified, closed.

Issue History

Date Modified Username Field Change
2018-09-13 04:28 EsKa New Issue
2018-09-13 04:28 EsKa Status new => assigned
2018-09-13 04:28 EsKa Assigned To => EsKa
2018-09-13 06:24 EsKa Note Added: 0000028
2018-09-13 22:11 EsKa Status assigned => resolved
2018-09-13 22:11 EsKa Resolution open => fixed
2018-09-13 22:11 EsKa Fixed in Version => 0.4 - Early Access
2018-09-13 22:11 EsKa Note Added: 0000029
2018-09-14 00:15 EsKa Note Added: 0000030
2018-09-21 08:56 EsKa Note Added: 0000044
2018-09-21 08:56 EsKa Status resolved => closed